cancel
Showing results for 
Search instead for 
Did you mean: 

Ubuntu 20.04 command line client problem

Highlighted
New Member

Ubuntu 20.04 command line client problem

Hi, 

 

When trying to use command line client in my Ubuntu 20.04 it just gives the "Checking for missing dependency packages for command line client"  and nothing else. 

GUI client works fine, I've manually installed libc6-386 and lib32z1 packages also but no help. 

 

Anyone else having this issue and if resolved, how? 

My client version is 9.1.8 but I can see the same behaviour with 9.1.5

 

Thanks

5 REPLIES 5
Highlighted
Moderator

Re: Ubuntu 20.04 command line client problem

@wille does it appear like the CLI got stuck at "Checking for missing dependency packages" message?

 

If yes, then please check the network settings and see if you got a successful tunnel connection.

PCS Expert
Pulse Connect Secure Certified Expert
Highlighted
Moderator

Re: Ubuntu 20.04 command line client problem

were you able to run the missing dependency script successfully?
what type of authentication is being used? the cli client does not have the same support as the gui client and that may be preventing connectivity.
Highlighted
New Contributor

Re: Ubuntu 20.04 command line client problem

Hi,

 

I just found I have the same problem with the x86_64 client. For me, it seems that the script exits immediately, there is no delay that would give the impression it is working. When I try to run:

 

sudo /usr/local/pulse/PulseClient_x86_64.sh install_dependency_packages

 

It works the same - the message "Checking for missing dependency packages ..." appears and it exits immediately.

 

Any solution would be helpful.

 

Thanks,

David

Highlighted
New Contributor

Re: Ubuntu 20.04 command line client problem

And for me, the GUI client does nothing, it never opens.

Highlighted
New Contributor

Re: Ubuntu 20.04 command line client problem

And when I went to uninstall the pulse DEB (9.1), dpkg spit out the following message:

 

(Reading database ... 308140 files and directories currently installed.)
Removing pulse (9.1R8-165) ...
rm: cannot remove '/usr/local/pulse/libwebp.so.6': No such file or directory
Do you want to clean up the configuration? [Yy/Nn] n

 

Could this missing libwebp.so.6 be responsible for the weird behavior?